# Class Plot3DStateFactory

java.lang.Object
uk.ac.starlink.ttools.plottask.PlotStateFactory
uk.ac.starlink.ttools.plottask.Plot3DStateFactory

public class Plot3DStateFactory extends PlotStateFactory
PlotStateFactory for 3D plots.

Since:
  20 Oct 2008
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class PlotStateFactory

`AUX_VARIABLE, SUBSET_VARIABLE, TABLE_VARIABLE`

## Constructor Summary

Constructors
Constructor
Description
`Plot3DStateFactory(String[] dimNames, boolean useAux, boolean useLabel, int errNdim)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`configurePlotState(PlotState state, uk.ac.starlink.task.Environment env)`
Configures a PlotState object by examining parameter values in a given execution environment.
`protected PlotState`
`createPlotState()`
Creates a new unconfigured PlotState object suitable for configuration by this factory.
`uk.ac.starlink.task.Parameter<?>[]`
`getParameters()`
Returns the parameters associated with this object.

### Methods inherited from class PlotStateFactory

`adjustFromData, calculateBounds, configureFromBounds, configureFromData, createPlotData, createStyleFactory, getPlotState, requiresAdjustFromData, requiresConfigureFromBounds`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Plot3DStateFactory

public Plot3DStateFactory(String[] dimNames, boolean useAux, boolean useLabel, int errNdim)
Constructor.

Parameters:
  `dimNames` - names of main plot dimensions (typically "X", "Y", etc);
  `useAux` - whether auxiliary axes are used
  `useLabel` - whether point text labelling is used
  `errNdim` - number of axes for which errors can be plotted

## Method Details

### getParameters

public uk.ac.starlink.task.Parameter<?>[] getParameters()
Description copied from class: `PlotStateFactory`
Returns the parameters associated with this object. The returned list is intended for external use in documentation; the parameter objects returned may or may not be those used for obtaining values from a particular execution environment. For this reason they may have names which are symbolic, that is, represent possible parameter names. Since actual parameter names are dynamically determined from other parameter names, it is not possible to return an exhaustive list.

Overrides:
  `getParameters` in class `PlotStateFactory`
Returns:
  array of parameters to be used for documentation

### createPlotState

protected PlotState createPlotState()
Description copied from class: `PlotStateFactory`
Creates a new unconfigured PlotState object suitable for configuration by this factory.

Overrides:
  `createPlotState` in class `PlotStateFactory`
Returns:
  plot state

### configurePlotState

protected void configurePlotState(PlotState state, uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from class: `PlotStateFactory`
Configures a PlotState object by examining parameter values in a given execution environment. Such an object was presumably previously created by a call to `PlotStateFactory.createPlotState()`.

Overrides:
  `configurePlotState` in class `PlotStateFactory`
Parameters:
  `state` - plot state to configure
  `env` - execution environment
Throws:
  `uk.ac.starlink.task.TaskException`